textures/neoegypt/black
{
    surfaceparm noimpact
    surfaceparm nomarks
    surfaceparm nolightmap
    {
        map textures/neoegypt/black.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
}

textures/neoegypt/bluebeam
{
    qer_editorimage textures/neoegypt/bluebeam_edimage.tga
    qer_trans 0.5
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    cull back
    {
        map textures/neoegypt/bluebeam.tga
        alphaFunc GT0
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        tcMod scroll -0.025 0
    }
}

textures/neoegypt/redbeam
{
    qer_editorimage textures/neoegypt/redbeam_edimage.tga
    qer_trans 0.5
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    cull back
    {
        map textures/neoegypt/redbeam.tga
        alphaFunc GT0
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        tcMod scroll -0.025 0
    }
}

textures/neoegypt/beam
{
    qer_editorimage textures/borg/beam_edimage.tga
    qer_trans 0.5
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    cull back
    {
        map textures/borg/beam.tga
        alphaFunc GT0
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        tcMod scroll -0.025 0
    }
}

textures/neoegypt/water1f
{
    //deformVertexes wave 100 sin 0 4 0 0.75
    //tessSize 192
    qer_trans 0.25
    surfaceparm nolightmap
    surfaceparm trans
    surfaceparm water
    {
        //tcMod scroll 0.05 -0.03
        map textures/holodeck_temple/water1f.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
        tcMod scroll 0.1 0.2
    }
    {
        //tcMod scroll 0.045 0.05
        map textures/holodeck_temple/water1f.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
        tcMod scroll -0.2 -0.1
    }
}

textures/neoegypt/ankhlite_blu_glow
{
    //q3map_surfacelight 1000
    q3map_lightimage textures/mrcleantex_2/ankhlite_blu.blend.tga
    qer_editorimage textures/mrcleantex_2/ankhlite_blu.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/mrcleantex_2/ankhlite_blu.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/mrcleantex_2/ankhlite_blu.blend.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0.5 1 2 0.2
    }
}

textures/neoegypt/ankhlite_red_glow
{
    //q3map_surfacelight 1000
    q3map_lightimage textures/mrcleantex_2/ankhlite_red.blend.tga
    qer_editorimage textures/mrcleantex_2/ankhlite_red.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/mrcleantex_2/ankhlite_red.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/mrcleantex_2/ankhlite_red.blend.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0.5 1 2 0.2
    }
}

textures/neoegypt/ankhlite_ylw_glow
{
    //q3map_surfacelight 1000
    q3map_lightimage textures/mrcleantex_2/ankhlite_ylw.blend.tga
    qer_editorimage textures/mrcleantex_2/ankhlite_ylw.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/mrcleantex_2/ankhlite_ylw.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/mrcleantex_2/ankhlite_ylw.blend.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0.5 1 2 0.2
    }
}

textures/neoegypt/eagle_glow
{
    q3map_lightimage textures/neoegypt/oldstone3_bas07_glow.tga
    qer_editorimage textures/neoegypt/oldstone3_bas07_glow.tga
    q3map_surfacelight 50
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/mrcleantex_2/oldstone4_bas07.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/neoegypt/oldstone3_bas07_glow.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0 0.6 0 0.2
    }
}

